#import <MesaView.h>

#define RED 1
#define WHITE 2
#define CYAN 3

#define COS(X)   cos( (X) * 3.14159/180.0 )
#define SIN(X)   sin( (X) * 3.14159/180.0 )

@interface BallView : MesaView
{
    GLuint Ball;
    GLfloat Zrot, Zstep;
    GLfloat Xpos, Ypos;
    GLfloat Xvel, Yvel;
    GLfloat Xmin, Xmax;
    GLfloat Ymin, Ymax;
    GLfloat G;

    NSTimer *timer;
}

- (void)GLinit:sender;
- (void)GLdraw:sender;
- (void)GLresize:sender;

- (GLuint)makeBall;

@end


