#import "ShapesView.h"

@implementation ShapesView

- (void)GLinit:sender
{
    return;
}

- (void)GLdraw:sender
{
    // Set the drawing color
	glColor3f(1.0, 1.0, 1.0);

    glMatrixMode(GL_MODELVIEW);
    glLoadIdentity();

    // Translate the object
	glTranslatef(-5.0, 5.0, 0.0);

    // Draw the verticies connected according to the GL_LINES primitive
	glBegin(GL_LINES);

    // Vertex 1
	glVertex2f(-1.0, 1.0);

    // Vertex 2
	glVertex2f(2.0, 2.0);

    // Vertex 3
	glVertex2f(0.0, 0.0);

    // Vertex 4
	glVertex2f(1.0, -1.0);

    // Vertex 5
	glVertex2f(-2.0, -2.0);

    glEnd();

    glLoadIdentity();
    glTranslatef(0.0, 5.0, 0.0);

    glBegin(GL_LINE_STRIP);
    glVertex2f(-1.0, 1.0);
    glVertex2f(2.0, 2.0);
    glVertex2f(0.0, 0.0);
    glVertex2f(1.0, -1.0);
    glVertex2f(-2.0, -2.0);
    glEnd();

    glLoadIdentity();
    glTranslatef(5.0, 5.0, 0.0);

    glBegin(GL_LINE_LOOP);
    glVertex2f(-1.0, 1.0);
    glVertex2f(2.0, 2.0);
    glVertex2f(0.0, 0.0);
    glVertex2f(1.0, -1.0);
    glVertex2f(-2.0, -2.0);
    glEnd();

    glLoadIdentity();
    glTranslatef(-5.0, 0.0, 0.0);

    glBegin(GL_POLYGON);
    glVertex2f(-1.0, 1.0);
    glVertex2f(2.0, 2.0);
    glVertex2f(0.0, 0.0);
    glVertex2f(1.0, -1.0);
    glVertex2f(-2.0, -2.0);
    glEnd();

    glLoadIdentity();
    glTranslatef(0.0, 0.0, 0.0);

    glBegin(GL_QUADS);
    glVertex2f(-1.0, 1.0);
    glVertex2f(2.0, 2.0);
    glVertex2f(0.0, 0.0);
    glVertex2f(1.0, -1.0);
    glVertex2f(-2.0, -2.0);
    glEnd();

    glLoadIdentity();
    glTranslatef(5.0, 0.0, 0.0);

    glBegin(GL_QUAD_STRIP);
    glVertex2f(-1.0, 1.0);
    glVertex2f(2.0, 2.0);
    glVertex2f(0.0, 0.0);
    glVertex2f(1.0, -1.0);
    glVertex2f(-2.0, -2.0);
    glEnd();

    glLoadIdentity();
    glTranslatef(-5.0, -5.0, 0.0);

    glBegin(GL_TRIANGLES);
    glVertex2f(-1.0, 1.0);
    glVertex2f(2.0, 2.0);
    glVertex2f(0.0, 0.0);
    glVertex2f(1.0, -1.0);
    glVertex2f(-2.0, -2.0);
    glEnd();

    glLoadIdentity();
    glTranslatef(0.0, -5.0, 0.0);

    glBegin(GL_TRIANGLE_STRIP);
    glVertex2f(-1.0, 1.0);
    glVertex2f(2.0, 2.0);
    glVertex2f(0.0, 0.0);
    glVertex2f(1.0, -1.0);
    glVertex2f(-2.0, -2.0);
    glEnd();

    glLoadIdentity();
    glTranslatef(5.0, -5.0, 0.0);

    glBegin(GL_TRIANGLE_FAN);
    glVertex2f(-1.0, 1.0);
    glVertex2f(2.0, 2.0);
    glVertex2f(0.0, 0.0);
    glVertex2f(1.0, -1.0);
    glVertex2f(-2.0, -2.0);
    glEnd();

    /* Flush the buffer to force drawing of all objects thus far */
    glFlush();
}

- (void)GLresize:sender
{
    GLint width,height;

    width = [self bounds].size.width;
    height = [self bounds].size.height;
    
    // Set the new viewport size
	glViewport(0, 0, width, height);

    // Choose the projection matrix to be the matrix 
    // manipulated by the following calls
	glMatrixMode(GL_PROJECTION);

    // Set the projection matrix to be the identity matrix
	glLoadIdentity();

    // Define the dimensions of the Orthographic Viewing Volume
	glOrtho(-8.0, 8.0, -8.0, 8.0, -8.0, 8.0);

    // Choose the modelview matrix to be the matrix
    // manipulated by further calls
	glMatrixMode(GL_MODELVIEW);

    // Clear the window
	glClear(GL_COLOR_BUFFER_BIT);
    
    return;
}

@end

