#import <AppKit/AppKit.h>
#import <MesaGL/osmesa.h>
#import <MesaGL/glu.h>
#import <MesaGL/glaux.h>
#import <MesaGL/3d.h>

@interface MesaView : NSView
{
    unsigned char *buffer;
    OSMesaContext ctx;
    NSBitmapImageRep *bitmap;
}

- initWithFrame:(NSRect)frameRect;

- (void)GLinit:sender;
- (void)GLdraw:sender;
- (void)GLresize:sender;

- (void)drawRect:(NSRect)rect;
- (void)dealloc;
- (void)resizeWithOldSuperviewSize:(NSSize)old;
- (BOOL)isOpaque;

-(void)_createViewport;

@end
